Page MenuHomePhabricator

IE9 does not show reference backlinks
Closed, ResolvedPublic

Description

mw-cite-backlink is styled with user-select: none; in ext.cite.css. When using IE9, the backlinks ^ab do not display due to this property.

This property is not supposed to be supported by IE9 but, apparently it causes the content to not display. IE8 and below do not support this property at all; IE10 and above support it properly.

This can be fixed in user CSS with:

.mw-cite-backlink,
.cite-accessibility-label {
   display: inline
}

But obviously does not help anon readers.

Event Timeline

Gadget850 raised the priority of this task from to Needs Triage.
Gadget850 updated the task description. (Show Details)
Gadget850 added a project: Cite.
Gadget850 added a subscriber: Gadget850.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 1:56 AM
Gadget850 updated the task description. (Show Details)Mar 20 2015, 1:57 AM
Gadget850 set Security to None.
brion added a subscriber: brion.Mar 23 2015, 7:52 PM

It looks more like it's the 'display:none' in the print style, something's not right about it.

Change 198811 had a related patch set uploaded (by Brion VIBBER):
Workaround for IE 9 regression caused by @media print style

https://gerrit.wikimedia.org/r/198811

Change 198811 abandoned by Brion VIBBER:
Workaround for IE 9 regression caused by @media print style

Reason:
hrmmmmmm not sure what's up with that

https://gerrit.wikimedia.org/r/198811

In testing I couldn't repro the fix but I can repro the bug. Not sure what the heck's going on in there!

The two editors who reported the issue and my IE9 test system were fixed with the rule I provided in the description. I removed my fix and ensured that the problem occurred. I then applied your CSS and the problem is resolved.

Aklapper triaged this task as Low priority.Mar 24 2015, 10:50 AM

The problem on IE9 does not occur with debug=true. It seams to be a parsing problem with the minimized CSS version.

The minimizing is not the problem.

The problem must be in mediawiki.js. When I remove nextnode from newStyleTag( text, nextnode ) the @media print rules works correctly in IE9.

Change 212009 had a related patch set uploaded (by Bartosz Dziewoński):
Move '@media print' rules to separate file

https://gerrit.wikimedia.org/r/212009

Confirmed the bug and verified the fix for IE 9 via crossbrowsertesting.com.

Change 213778 had a related patch set uploaded (by Gerrit Patch Uploader):
mediawiki.js: Handle IE9 like IE10 and above for style loading

https://gerrit.wikimedia.org/r/213778

Confirmed the bug and verified the fix for IE 9 via crossbrowsertesting.com.

Yeah, I actually didn't. It looks okay until you hover things with the mouse, at which point this issue can still be reproduced with my patch.

Change 213778 abandoned by Krinkle:
mediawiki.js: Handle IE9 like IE10 and above for style loading

https://gerrit.wikimedia.org/r/213778

matmarex closed this task as Resolved.Oct 7 2015, 1:35 PM
matmarex claimed this task.

Indeed, looks fixed to me, and this was likely the same underlying issue as T108727.